## org.apache.maven.shared.jar.identification.exposers
Class StaticMainOutputExposer

    java.lang.Object
      org.apache.maven.shared.jar.identification.exposers.StaticMainOutputExposer

All Implemented Interfaces:
  JarIdentificationExposer

    public class StaticMainOutputExposer

extends java.lang.Object
implements JarIdentificationExposer

Exposer that examines a a JAR for classes that have `Version` in the name and calls their `main` method if it exists to obtain the version.

TODO:
  not currently implemented
Plexus Component:
  role="org.apache.maven.shared.jar.identification.JarIdentificationExposer" role-hint="staticMainOutput"

Constructor Summary
`StaticMainOutputExposer()`

Method Summary
`void` `expose(JarIdentification identification, JarAnalyzer jarAnalyzer)` Expose metadata during the identification process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticMainOutputExposer

    public StaticMainOutputExposer()

Method Detail

### expose

    public void expose(JarIdentification identification,
                       JarAnalyzer jarAnalyzer)

  Description copied from interface: `JarIdentificationExposer`
  Expose metadata during the identification process.

  Specified by:
    `expose` in interface `JarIdentificationExposer`
  Parameters:
    `identification` - the identification record to populate with the exposed metadata
    `jarAnalyzer` - the JAR to obtain the information from. Should be treated as read only, with the exception of caching the metadata if it would be identical when run over the same file again.

Copyright © 2011. All Rights Reserved.